Bug 21180 - Allow Talking Tech outbound script to limit based on patron home library branchcode
Summary: Allow Talking Tech outbound script to limit based on patron home library bran...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-08 16:51 UTC by Kyle M Hall
Modified: 2019-10-17 18:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode (6.31 KB, patch)
2018-08-08 17:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode (6.32 KB, patch)
2018-08-08 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode (6.38 KB, patch)
2018-10-23 20:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode (6.51 KB, patch)
2019-08-02 11:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode (6.55 KB, patch)
2019-09-06 19:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-08-08 16:51:09 UTC
A library system has requested the ability to limit which patrons are sent to Itivia for phone notices.
Comment 1 Kyle M Hall 2018-08-08 17:02:24 UTC
Created attachment 77580 [details] [review]
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode

A library system has requested the ability to limit which patrons are sent to Itivia for phone notices.

Test Plan:
1) Enable phone notices for two patrons with overdues
2) Run the misc/cronjobs/thirdparty/TalkingTech_itiva_outbound.pl with the new --patron-branchcode option
3) Note only the patron whose homebranch you specified is in the output file
Comment 2 Kyle M Hall 2018-08-08 17:04:20 UTC
Created attachment 77581 [details] [review]
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode

A library system has requested the ability to limit which patrons are sent to Itivia for phone notices.

Test Plan:
1) Enable phone notices for two patrons with overdues
2) Run the misc/cronjobs/thirdparty/TalkingTech_itiva_outbound.pl with the new --patron-branchcode option
3) Note only the patron whose homebranch you specified is in the output file
Comment 3 Nick Clemens 2018-10-23 20:24:59 UTC
Created attachment 81042 [details] [review]
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode

A library system has requested the ability to limit which patrons are sent to Itivia for phone notices.

Test Plan:
1) Enable phone notices for two patrons with overdues
2) Run the misc/cronjobs/thirdparty/TalkingTech_itiva_outbound.pl with the new --patron-branchcode option
3) Note only the patron whose homebranch you specified is in the output file
Comment 4 Kyle M Hall 2019-08-02 11:55:01 UTC
Created attachment 91921 [details] [review]
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode

A library system has requested the ability to limit which patrons are sent to Itivia for phone notices.

Test Plan:
1) Enable phone notices for two patrons with overdues
2) Run the misc/cronjobs/thirdparty/TalkingTech_itiva_outbound.pl with the new --patron-branchcode option
3) Note only the patron whose homebranch you specified is in the output file

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 5 Tomás Cohen Arazi 2019-09-06 19:00:54 UTC
Created attachment 92659 [details] [review]
Bug 21180: Allow Talking Tech outbound script to limit based on patron home library branchcode

A library system has requested the ability to limit which patrons are sent to Itivia for phone notices.

Test Plan:
1) Enable phone notices for two patrons with overdues
2) Run the misc/cronjobs/thirdparty/TalkingTech_itiva_outbound.pl with the new --patron-branchcode option
3) Note only the patron whose homebranch you specified is in the output file

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Martin Renvoize 2019-09-09 10:34:01 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-09-13 12:48:08 UTC
Small non-UI enhancement, I choose to backport.

Pushed to 19.05.x for 19.05.04
Comment 8 Lucas Gass 2019-10-17 18:59:53 UTC
backported to 18.11.x for 18.11.11